Bug 991795 - samba log should be cleaned up
samba log should be cleaned up
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Guenther Deschner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-04 07:37 EDT by Harald Reindl
Modified: 2013-08-12 09:02 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-12 08:52:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Reindl 2013-08-04 07:37:10 EDT
the samba-log should really not be that cluttered
source-file, code-line are not relevant for such basic entries

this way i would expect a log-line which would be one instead two

[2013/08/04 11:31:55] client-host (ipv4:xx.xx.0.200:58176) closed connection to service sharename
_______________________________

[2013/08/04 11:31:41.610444,  1] ../source3/smbd/service.c:847(make_connection_snum)
  client-host (ipv4:xx.xx.0.200:58176) connect to service sharename initially as user username (uid=1030, gid=2000) (pid 447)
[2013/08/04 11:31:55.139337,  1] ../source3/smbd/service.c:1121(close_cnum)
  client-host (ipv4:xx.xx.0.200:58176) closed connection to service sharename
[2013/08/04 13:03:18.541948,  1] ../source3/smbd/service.c:847(make_connection_snum)
  client-host (ipv4:xx.xx.0.200:58176) connect to service sharename initially as user username (uid=1030, gid=2000) (pid 447)
Comment 1 Andreas Schneider 2013-08-12 08:52:18 EDT
Harald, thanks for reporting a bug. The information might not be relevant for you but it is extremely important to Samba developers!
Comment 2 Harald Reindl 2013-08-12 09:02:27 EDT
but it should *not* be logged all the time without having any debug-option set - imageine if all services would log this way how cluttered the whole syslog would look like!

Note You need to log in before you can comment on or make changes to this bug.